package com.chenyang.nse.bussiness.tools.engine.mapplet;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentLinkedQueue;

public class MappletDesigner implements Serializable {
   private static final long serialVersionUID = 1L;
   private String name;
   private String xmlName;
   private ConcurrentLinkedQueue<TransformationInfo> transformationInfoQueue;
   private Map<String, TransformationInfo> transformationInfoMap;
   private List<TransformationInfo> transformationInfoList;

   public MappletDesigner(String name, ConcurrentLinkedQueue<TransformationInfo> transformationInfoQueue, Map<String, TransformationInfo> transformationInfoMap, List<TransformationInfo> transformationInfoList) {
      this.name = name;
      this.transformationInfoQueue = transformationInfoQueue;
      this.transformationInfoMap = transformationInfoMap;
      this.transformationInfoList = transformationInfoList;
   }

   public ConcurrentLinkedQueue<TransformationInfo> getTransformationInfoQueue() {
      return this.transformationInfoQueue;
   }

   public void setTransformationInfoQueue(ConcurrentLinkedQueue<TransformationInfo> transformationInfoQueue) {
      this.transformationInfoQueue = transformationInfoQueue;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getXmlName() {
      return this.xmlName;
   }

   public void setXmlName(String xmlName) {
      this.xmlName = xmlName;
   }

   public Map<String, TransformationInfo> getTransformationInfoMap() {
      return this.transformationInfoMap;
   }

   public void setTransformationInfoMap(Map<String, TransformationInfo> transformationInfoMap) {
      this.transformationInfoMap = transformationInfoMap;
   }

   public List<TransformationInfo> getTransformationInfoList() {
      return this.transformationInfoList;
   }

   public void setTransformationInfoList(List<TransformationInfo> transformationInfoList) {
      this.transformationInfoList = transformationInfoList;
   }
}
